murrine_style_draw_box_gap

Linux specific forum
User avatar
useful
Enthusiast
Enthusiast
Posts: 267
Joined: Fri Jul 19, 2013 7:36 am
Location: Novosibirsk

murrine_style_draw_box_gap

Post by useful »

kiv@HP-RuntuLite:~/sys/pb546b1$ ./checkinstall.sh

This script try to detect if all developments packages are correctly installed. If you are using a Debian or Ubuntu like distribution, you can use the following line to install all needed packages:

$ sudo apt-get install gcc g++ libc6-dev libsdl1.2-dev libgtk-3-dev unixodbc-dev libgnome2-dev libxine2-dev libwebkitgtk-3.0-dev libxxf86vm-dev libwebkitgtk-dev libwebkitgtk-3.0-dev

Everything seems correctly setup for PureBasic !

kiv@HP-RuntuLite:~/sys/pb546b1$ ./launch.sh

** (purebasic:9575): CRITICAL **: murrine_style_draw_box_gap: assertion 'height >= -1' failed


A message may appear or not in different environments and sometimes depends on the theme.
For example, in zorin lite latest version(xfce) with the theme by default, the message appears and if you choose the theme of the Adwaita message is lost

Maybe you need something to add in checkinstall.sh

A distribution based on ubuntu 14.04 x86
Openbox 3.5.2-6 Theme Ambianсe
libgtk2.0-dev 2.24.23-0ubuntu1.4
libgtk-3-dev 3.10.8.0ubuntu1.6
Last edited by useful on Tue Nov 07, 2017 8:05 am, edited 1 time in total.
Fred
Administrator
Administrator
Posts: 14328
Joined: Fri May 17, 2002 4:39 pm
Location: France
Contact:

Re: murrine_style_draw_box_gap

Post by Fred »

It's an ubuntu issue, it can be solved by editing the theme: http://thehacklist.blogspot.fr/2010/06/ ... rtion.html
User avatar
useful
Enthusiast
Enthusiast
Posts: 267
Joined: Fri Jul 19, 2013 7:36 am
Location: Novosibirsk

Re: murrine_style_draw_box_gap

Post by useful »

similarly,
http://thehacklist.blogspot.ru/2010/06/ ... 2636276588
in part Ambiance and Radiance

gtkrc: GtkScrollbar ::trough-under-steppers= 1

but the message is shown

A distribution based on ubuntu 14.04 x86
Openbox 3.5.2-6 Theme Ambianсe / Radiance
libgtk2.0-dev 2.24.23-0ubuntu1.4
libgtk-3-dev 3.10.8.0ubuntu1.6

:) p.s. http://thehacklist.blogspot.com/2010/06 ... 5415010424
Let's define the standard distribution
User avatar
useful
Enthusiast
Enthusiast
Posts: 267
Joined: Fri Jul 19, 2013 7:36 am
Location: Novosibirsk

Re: murrine_style_draw_box_gap

Post by useful »

Fred wrote:It's an ubuntu issue, it can be solved by editing the theme: http://thehacklist.blogspot.fr/2010/06/ ... rtion.html
Following your logic and my experiments result strange: Adwaita and derived the correct theme, and all the rest are not correct

p.s. And not only in Ubuntu, my last experiment with Adwaita and not Adwaita with the same results were alt-workstation-8-x86_64
http://distrowatch.com/table.php?distribution=alt
Post Reply